gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Text buffer iterator
- Method
  2.12.0.0
  System.Boolean Moves the iterator back one character true if the operation succeeded Returns if movement was possible; if iter was the first in the buffer (character offset 0), this returns for convenience when writing loops.
- Method
  2.12.0.0
  System.Boolean `` number of characters to move backwards. Moves the iterator back a number of characters. true if the operation succeeded Moves count characters backward, if possible (if count would move past the start or end of the buffer, moves to the start or end of the buffer). The return value indicates whether the iterator moved onto a dereferenceable position; if the iterator didn't move, or moved onto the end iterator, then is returned. If count is 0, the function does nothing and returns .
- Method
  2.12.0.0
  System.Boolean Like , but moves backward. if we moved
- Method
  2.12.0.0
  System.Boolean `` number of positions to move Moves back cursor positions. if we moved and the new position is dereferenceable
- Method
  2.12.0.0
  System.Boolean `` `` A to call on each character. search limit, or for none Same as , but goes backward from iter. whether a match was found
- Method
  2.12.0.0
  System.Obsolete("Replaced by overload without IntPtr argument")
  System.Boolean `` `` `` A to call on each character. Ignored search limit, or for none Obsolete. Replaced by . whether a match was found
- Method
  2.12.0.0
  System.Boolean Moves the iterator backward one line true if the operation succeeded. Returns if iter could be moved; i.e. if iter was at character offset 0, this function returns . Therefore if iter was already on line 0, but not at the start of the line, iter is snapped to the start of the line and the function returns . (Note that this implies that in a loop calling this function, the line number may not change on every iteration, if your first iteration is on line 0.)
- Method
  2.12.0.0
  System.Boolean `` number of lines to move backwards. Moves the iterator back a number of lines. true if the operation succeeded. Moves count lines backward, if possible (if count would move past the start or end of the buffer, moves to the start or end of the buffer). The return value indicates whether the iterator moved onto a dereferenceable position; if the iterator didn't move, or moved onto the end iterator, then is returned. If count is 0, the function does nothing and returns . If count is negative, moves forward by 0 - count lines.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` search string bitmask of flags affecting the search return location for start of match, or return location for end of match, or location of last possible match_start, or for start of buffer Same as , but moves backward. whether a match was found
- Method
  2.12.0.0
  System.Boolean Moves backward to the previous sentence start; if iter is already at the start of a sentence, moves backward to the next one. if iter moved and is not the end iterator Sentence boundaries are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango text boundary algorithms).
- Method
  2.12.0.0
  System.Boolean `` number of sentences to move Calls up to times, or until it returns . if iter moved and is not the end iterator If is negative, moves forward instead of backward.
- Method
  2.12.0.0
  System.Boolean `` a or Moves backward to the next toggle (on or off) of the tag, or to the next toggle of any tag if tag is . whether we found a tag toggle before iter If no matching tag toggles are found, returns , otherwise . Does not return toggles located at iter, only toggles before iter. Sets iter to the location of the toggle, or the start of the buffer if no toggle is found.
- Method
  2.12.0.0
  System.Boolean Moves the iterator back to the previous visible cursor position. a , true if the iter moved and the new position is dereferenceable See for details.
- Method
  2.12.0.0
  System.Boolean `` a Moves backward up to visible cursor positions. a , true if the cursor was moved and is in a dereferenceable position. See for details.
- Method
  2.12.0.0
  System.Boolean Moves to the beginning of the previous visible line. if the iter could be moved. Moves to the start of the previous visible line. If iter was at character offset 0, this function returns . If iter was already on line 0, but not at the start of the line, iter is snapped to the start of the line and the function returns . (Note that this implies that in a loop calling this function, the line number may not change on every iteration, if your first iteration is on line 0.).
- Method
  2.12.0.0
  System.Boolean `` The number of lines to move. Moves backward by a specified number of visible lines. if the result of the move is a referenceable position. If would move past the start or end of the buffer, the iter is moved to the start or end of the buffer. The return value indicates whether the iterator moved onto a dereferenceable position. If the iterator didn't move, or moved onto the end iterator, then is returned. If count is 0, the function does nothing and returns . If count is negative, the iter is moved forward by 0 - count lines.
- Method
  2.12.0.0
  System.Boolean Moves backward to the previous visible word start. (If the iterator is currently on a word start, moves backward to the next one after that.) a Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Method
  2.12.0.0
  System.Boolean `` a Calls up to times. a , true if the iterator moved and is not at the end of the text.
- Method
  2.12.0.0
  System.Boolean Moves backward to the previous word start. if iter moved and is not the end iterator (If iter is currently on a word start, moves backward to the next one after that.) Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Method
  2.12.0.0
  System.Boolean `` number of times to move Calls up to times. if iter moved and is not the end iterator
- Method
  2.12.0.0
  System.Boolean `` a or Returns if tag is toggled on at exactly this point. whether iter is the start of a range tagged with tag If tag is , returns if any tag is toggled on at this point. Note that the returns if iter is the start of the tagged range; tells you whether an iterator is within a tagged range.
- Property
  2.12.0.0
  Gtk.TextBuffer Obtains the buffer the iter is in containing buffer
- Property
  2.12.0.0
  System.Int32 Returns the number of bytes in the line containing iter, including the paragraph delimiters. number of bytes in the line
- Method
  2.12.0.0
  System.Boolean `` if text is editable by default Considering the default editability of the buffer, and tags that affect editability, determines whether text inserted at iter would be editable. whether text inserted at iter would be editable If text inserted at iter would be editable then the user should be allowed to insert text at iter. uses this function to decide whether insertions are allowed at a given position.
- Property
  2.12.0.0
  System.String Character the TextIter points to. a 1 character length string container the character pointed to by the TextIter Even though this property returns a string, it will never hold more than a single character.
- Property
  2.12.0.0
  System.Int32 Number of characters in the TextIter's line. Returns the number of characters in the TextIter's current line, including the paragraph delimiters. None.
- Property
  2.12.0.0
  Gtk.TextChildAnchor If the location at iter contains a child anchor, the anchor is returned. Otherwise, is returned. the anchor at iter
- Method
  2.12.0.0
  System.Int32 `` another A qsort()-style function that returns negative if lhs is less than rhs, positive if lhs is greater than rhs, and 0 if they are equal. -1 if lhs is less than rhs, 1 if lhs is greater, 0 if they are equal Ordering is in character offset order, i.e. the first character in the buffer is less than the second character in the buffer.
- Method
  2.12.0.0
  System.Obsolete("This is a no-op")
  Gtk.TextIter Creates a dynamically-allocated copy of an iterator. a
- Method
  2.12.0.0
  System.Boolean `` if text is editable by default Returns whether the character at iter is within an editable region of text. whether iter is inside an editable range

  Non-editable text is "locked" and cannot be changed by the user via . This function is simply a convenience wrapper around . If no tags applied to this text effect editability, will be returned.

  You do not want to use this function to decide whether text can be inserted at iter, because for insertion you do not want to know whether the char at iter is inside an editable range, you want to know whether a new character inserted at iter would be inside an editable range. Use to handle this case.

- Method
  2.12.0.0
  System.Boolean Returns true if the iterator is at the end of a line. true if the iterator is at the end of a line. Returns if iter points to the start of the paragraph delimiter characters for a line (delimiters will be either a newline, a carriage return, a carriage return followed by a newline, or a Unicode paragraph separator character). Note that an iterator pointing to the \n of a \r\n pair will not be counted as the end of a line, the line ends before the \r. The end iterator is considered to be at the end of a line, even though there are no paragraph delimiter chars there.
- Method
  2.12.0.0
  System.Boolean Determines whether iter ends a sentence. if iter is at the end of a sentence. Sentence boundaries are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango text boundary algorithms).
- Method
  2.12.0.0
  System.Boolean `` a or Returns if tag is toggled off at exactly this point. whether iter is the end of a range tagged with tag If tag is , returns if any tag is toggled off at this point. Note that the returns if iter is the end of the tagged range; tells you whether an iterator is within a tagged range.
- Method
  2.12.0.0
  System.Boolean Determines whether iter ends a natural-language word. if iter is at the end of a word Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Method
  2.12.0.0
  System.Boolean `` another Tests whether two iterators are equal, using the fastest possible mechanism. if the iterators point to the same place in the buffer This function is very fast; you can expect it to perform better than e.g. getting the character offset for each iterator and comparing the offsets yourself. Also, it's a bit faster than .
- Method
  2.12.0.0
  System.Boolean Moves this iterator forward by one character offset. A boolean: if the iterator moved and is dereferenceable. Note that images embedded in the buffer occupy 1 character slot, so this may actually move onto an image instead of a character, if you have images in your buffer. If this object is the end iterator or one character before it, the object will now point at the end iterator, and return for convenience when writing loops.
- Method
  2.12.0.0
  System.Boolean `` number of characters to move, may be negative Moves count characters if possible (if count would move past the start or end of the buffer, moves to the start or end of the buffer). whether iter moved and is dereferenceable The return value indicates whether the new position of iter is different from its original position, and dereferenceable (the last iterator in the buffer is not dereferenceable). If count is 0, the function does nothing and returns .
- Method
  2.12.0.0
  System.Boolean Moves iter forward by a single cursor position. if we moved and the new position is dereferenceable Cursor positions are (unsurprisingly) positions where the cursor can appear. Perhaps surprisingly, there may not be a cursor position between all characters. The most common example for European languages would be a carriage return/newline sequence. For some Unicode characters, the equivalent of say the letter "a" with an accent mark will be represented as two characters, first the letter then a "combining mark" that causes the accent to be rendered; so the cursor cannot go between those two characters.
- Method
  2.12.0.0
  System.Boolean `` number of positions to move Moves up cursor positions. if we moved and the new position is dereferenceable See for details.
- Method
  2.12.0.0
  System.Boolean `` `` A to call on each character. search limit, or for none Advances the iterator, calling on each character. whether a match was found If pred returns , returns and stops scanning. If pred never returns , iter is set to limit if limit is non-, otherwise to the end iterator.
- Method
  2.12.0.0
  System.Obsolete("Replaced by overload without IntPtr argument")
  System.Boolean `` `` `` A to call on each character. Ignored search limit, or for none Obsolete. Replaced by . whether a match was found
- Method
  2.12.0.0
  System.Boolean Moves iter to the start of the next line. A boolean; whether the iterator is dereferenceable Returns if there was a next line to move to, and if iter was simply moved to the end of the buffer and is now not dereferenceable, or if iter was already at the end of the buffer.
- Method
  2.12.0.0
  System.Boolean `` number of lines to move forward Moves count lines forward, if possible (if count would move past the start or end of the buffer, moves to the start or end of the buffer). whether iter moved and is dereferenceable The return value indicates whether the iterator moved onto a dereferenceable position; if the iterator didn't move, or moved onto the end iterator, then is returned. If count is 0, the function does nothing and returns . If count is negative, moves backward by 0 - count lines.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` a search string flags affecting how the search is done return location for start of match, or return location for end of match, or bound for the search, or for the end of the buffer Searches forward for . whether a match was found

  Any match is returned by setting to the first character of the match and to the first character after the match. The search will not continue past limit. Note that a search is a linear or O(n) operation, so you may wish to use limit to avoid locking up your UI on large buffers.

  If the GTK_TEXT_SEARCH_VISIBLE_ONLY flag is present, the match may have invisible text interspersed in str. i.e. str will be a possibly-noncontiguous subsequence of the matched range. similarly, if you specify GTK_TEXT_SEARCH_TEXT_ONLY, the match may have pixbufs or child widgets mixed inside the matched range. If these flags are not given, the match must be exact; the special 0xFFFC character in str will match embedded pixbufs or child widgets.

- Method
  2.12.0.0
  System.Boolean Moves forward to the next sentence end. if iter moved and is not the end iterator If iter is at the end of a sentence, moves to the next end of sentence. Sentence boundaries are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango text boundary algorithms).
- Method
  2.12.0.0
  System.Boolean `` number of sentences to move Calls times (or until it returns ). if iter moved and is not the end iterator If is negative, moves backward instead of forward.
- Method
  2.12.0.0
  System.Void Moves iter forward to the "end iterator," which points one past the last valid character in the buffer.
- Method
  2.12.0.0
  System.Boolean Moves the iterator to point to the paragraph delimiter characters, which will be either a newline, a carriage return, a carriage return/newline in sequence, or the Unicode paragraph separator character. if we moved and the new location is not the end iterator If the iterator is already at the paragraph delimiter characters, moves to the paragraph delimiter characters for the next line. If iter is on the last line in the buffer, which does not end in paragraph delimiters, moves to the end iterator (end of the last line), and returns .
- Method
  2.12.0.0
  System.Boolean `` a or Moves forward to the next toggle (on or off) of the tag, or to the next toggle of any tag if tag is . whether we found a tag toggle after iter If no matching tag toggles are found, returns , otherwise . Does not return toggles located at iter, only toggles after iter. Sets iter to the location of the toggle, or to the end of the buffer if no toggle is found.
- Method
  2.12.0.0
  System.Boolean Moves the iterator forward to the next visible cursor position. a See for details.
- Method
  2.12.0.0
  System.Boolean `` a Moves up to visible cursor positions. a , true if the iter was moved and is in a dereferenceable position. See for details.
- Method
  2.12.0.0
  System.Boolean Moves to the start of the next visible line. if the iter could be moved and is dereferenceable after the move. . Returns if there was a next line to move to, and if the iter was moved to the end of the buffer and is now not dereferenceable, or if the iter was already at the end of the buffer.
- Method
  2.12.0.0
  System.Boolean `` The number of lines to move. Moves forward by a specified number of visible lines. if the iter could be moved and is dereferenceable after the move. If would move past the start or end of the buffer, the iter is moved to the start or end of the buffer. The return value indicates whether the iterator moved onto a dereferenceable position. If the iterator didn't move, or moved onto the end iterator, then is returned. If count is 0, the function does nothing and returns . If count is negative, the iter is moved backward by 0 - count lines.
- Method
  2.12.0.0
  System.Boolean Moves forward to the next visible word end. (If the iterator is currently on a word end, moves forward to the next one after that.) a , true if the iterator moved and is not at the end. Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Method
  2.12.0.0
  System.Boolean `` a Moves forward to the next visible word end. (If the iterator is currently on a word end, moves forward to the next one after that.) a , true if the iterator moved and is not at the end. Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Method
  2.12.0.0
  System.Boolean Moves forward to the next word end. if iter moved and is not the end iterator (If iter is currently on a word end, moves forward to the next one after that.) Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Method
  2.12.0.0
  System.Boolean `` number of times to move Calls up to times. if iter moved and is not the end iterator
- Method
  2.12.0.0
  System.Boolean `` a s Computes the effect of any tags applied to this spot in the text. if values was modified

  The values parameter should be initialized to the default settings you wish to use if no tags are in effect. You would typically obtain the defaults from .

  will modify values, applying the effects of any tags present at iter. If any tags affected values, the function returns .

- Method
  2.12.0.0
  System.String `` iterator at end of a range Returns the text in the given range. slice of text from the buffer A "slice" is an array of characters encoded in UTF-8 format, including the Unicode "unknown" character 0xFFFC for iterable non-character elements in the buffer, such as images. Because images are encoded in the slice, byte and character offsets in the returned array will correspond to byte offsets in the text buffer. Note that 0xFFFC can occur in normal text as well, so it is not a reliable indicator that a pixbuf or widget is in the buffer.
- Method
  2.12.0.0
  System.String `` iterator at end of a range Returns text in the given range. the string from the buffer If the range contains non-text elements such as images, the character and byte offsets in the returned string will not correspond to character and byte offsets in the buffer. If you want offsets to correspond, see .
- Method
  2.12.0.0
  Gtk.TextTag[] `` a Returns an array of that are toggled on or off at this point. tags toggled at this point (If toggled_on is , the list contains tags that are toggled on.) If a tag is toggled on at iter, then some non-empty range of characters following iter has that tag applied to it. If a tag is toggled off, then some non-empty range following iter does not have the tag applied to it.
- Method
  2.12.0.0
  System.String `` iterator at end of range Like , but invisible text is not included. slice of text from the buffer Invisible text is usually invisible because a with the "invisible" attribute turned on has been applied to it.
- Method
  2.12.0.0
  System.String `` iterator at end of range Like , but invisible text is not included. string containing visible text in the range Invisible text is usually invisible because a with the "invisible" attribute turned on has been applied to it.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Boolean `` a Returns if iter is within a range tagged with tag. whether iter is tagged with tag
- Method
  2.12.0.0
  System.Boolean `` `` start of range end of range Checks whether iter falls in the range (start, end). if iter is in the range and must be in ascending order.
- Method
  2.12.0.0
  System.Boolean Determines whether iter is inside a sentence (as opposed to in between two sentences, e.g. after a period and before the first letter of the next sentence). if iter is inside a sentence. Sentence boundaries are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango text boundary algorithms).
- Method
  2.12.0.0
  System.Boolean Determines whether iter is inside a natural-language word (as opposed to say inside some whitespace). if iter is inside a word Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Property
  2.12.0.0
  System.Boolean returns true if the iter is at the caret a returns true if this iterator equals the iterator returned by
- Property
  2.12.0.0
  System.Boolean Returns true if the iterator is at the end of the parent true if the iterator is equal to Buffer.EndIter The most efficient way to check whether an iterator is the end iterator.
- Property
  2.12.0.0
  System.Boolean Returns if iter is the first iterator in the buffer, that is if iter has a character offset of 0. whether iter is the first in the buffer
- Property
  2.12.0.0
  Pango.Language A convenience wrapper around , which returns the language in effect at iter. language in effect at iter If no tags affecting language apply to iter, the return value is identical to that of .
- Property
  2.12.0.0
  System.Int32 Line number the iterator is currently on. The line number the iterator is currently on. Lines in a are numbered beginning with 0 for the first line in the buffer.
- Property
  2.12.0.0
  System.Int32 Returns the byte index of the iterator, counting from the start of a newline-terminated line. distance from start of line, in bytes Remember that encodes text in UTF-8, and that characters can require a variable number of bytes to represent.
- Property
  2.12.0.0
  System.Int32 Returns the character offset of the iterator, counting from the start of a newline-terminated line. offset from start of line The first character on the line has offset 0.
- Property
  2.12.0.0
  Gtk.TextMark[] Returns an array of at this location. a Because marks are not iterable (they do not take up any "space" in the buffer, they are just marks in between iterable locations), multiple marks can exist in the same place. The returned list is not in any meaningful order.
- Method
  2.12.0.0
  Gtk.TextIter `` a Internal method a new This is an internal method and should not be used by user code.
- Property
  2.12.0.0
  System.Int32 Manipulates the offset from the start of the buffer. Returns the offset of the iter from the start of the buffer. None.
- Method
  2.12.0.0
  Gtk.TextIter `` To be added. Converts from a native GValue. a TextIter. Internal. Provided for bindings.
- Method
  2.12.0.0
  GLib.Value `` To be added. Converts to a native GValue. a native GValue. Internal. Provided for bindings.
- Method
  2.12.0.0
  System.Void `` another Swaps the value of first and second if second comes before first in the buffer. That is, ensures that first and second are in sequence. Most text buffer functions that take a range call this automatically on your behalf, so there's no real reason to call it yourself in those cases. There are some exceptions, such as , that expect a pre-sorted range.
- Property
  2.12.0.0
  Gdk.Pixbuf return the pixbuf at this iter, if it is one. the pixbuf at iter If the element at iter is a , the Pixbuf is returned. Otherwise, is returned.
- Method
  2.12.0.0
  System.Boolean Returns if iter begins a paragraph. whether iter begins a line
- Method
  2.12.0.0
  System.Boolean Determines whether iter begins a sentence. if iter is at the start of a sentence. Sentence boundaries are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango text boundary algorithms).
- Method
  2.12.0.0
  System.Boolean Determines whether iter begins a natural-language word. if iter is at the start of a word Word breaks are determined by Pango and should be correct for nearly any language (if not, the correct fix would be to the Pango word break algorithms).
- Property
  2.12.0.0
  Gtk.TextTag[] Returns an array of tags that apply to iter, in ascending order of priority (highest-priority tags are last). a
- Method
  2.12.0.0
  System.Boolean `` a or whether tag is either toggled on or off at iter whether tag is toggled on or off at iter
- Property
  2.12.0.0
  System.Int32 Returns the number of bytes from the start of the line to the given iter, not counting bytes that are invisible due to tags with the "invisible" flag toggled on. byte index of iter with respect to the start of the line
- Property
  2.12.0.0
  System.Int32 Returns the offset in characters from the start of the line to the given iter, not counting characters that are invisible due to tags with the "invisible" flag toggled on. offset in visible characters from the start of the line
- Field
  2.12.0.0
  Gtk.TextIter Returns an empty